Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Make linesman compatible with WebOb 1.2 #23

Merged
merged 1 commit into from Jan 16, 2013

Conversation

Projects
None yet
3 participants
Contributor

skimbrel commented Dec 6, 2012

Replace references to deprecated fields:

  • Request.str_params
  • Response.body (assignment)
  • Response.unicode_body
Sam Kimbrel Make linesman WebOb-1.2 compatible.
Replace references to deprecated fields:
  - Request.str_params
  - Response.body (assignment)
  - Response.unicode_body
a9410a6

Will this break backwards compatibility with WebOb<1.2? In that case, we will want to include the version requirements in setup.py to include WebOb>=1.2

Owner

skimbrel replied Dec 27, 2012

It'll work with webob 1.1 (which is over a year old at this point). Haven't tried anything older.

Ping!

I just tried out linesman for the first time and ran into this issue. I'll use @skimbrel's fork, but pulling this into a new release on PyPI would be wonderful.

Great-looking project, BTW.

@amcfague amcfague added a commit that referenced this pull request Jan 16, 2013

@amcfague amcfague Merge pull request #23 from skimbrel/master
Make linesman compatible with WebOb 1.2
bce78fb

@amcfague amcfague merged commit bce78fb into amcfague:master Jan 16, 2013

Owner

amcfague commented Jan 16, 2013

I've gone ahead and committed these changes, bumped the version, and deployed the latest version to PyPI. Enjoy!

Thanks for the quick response — really appreciate it!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment